Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui
Class PlainStyle

    java.lang.Object
      org.biojava.bio.gui.PlainStyle

All Implemented Interfaces:
  SymbolStyle

    public class PlainStyle

extends Object
implements SymbolStyle

A simple implementation of SymbolStyle that just uses a single paint for outlines and a single paint for filling.

Author:
  Matthew Pocock

Constructor Summary
`PlainStyle()`
`PlainStyle(Paint outlinePaint, Paint fillPaint)`

Method Summary
`Paint` | `fillPaint(Symbol s)` Return the fill paint for a symbol.
`Paint` | `outlinePaint(Symbol s)` Return the outline paint for a symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainStyle

    public PlainStyle()

### PlainStyle

    public PlainStyle(Paint outlinePaint,
                      Paint fillPaint)

Method Detail

### outlinePaint

    public Paint outlinePaint(Symbol s)

  Description copied from interface: `SymbolStyle`
  Return the outline paint for a symbol.

  Specified by:
    `outlinePaint` in interface `SymbolStyle`
  Parameters:
    `s` - the symbol to outline
  Returns:
    the Paint to use

### fillPaint

    public Paint fillPaint(Symbol s)

  Description copied from interface: `SymbolStyle`
  Return the fill paint for a symbol.

  Specified by:
    `fillPaint` in interface `SymbolStyle`
  Parameters:
    `s` - the symbol to fill
  Returns:
    the Paint to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD